local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

do
	local data = {
		version = 1,
		key = "TheBlastFurnace",
		zone = L.zone["Blackrock Foundry"],
		category = L.zone["Blackrock Foundry"],
		name = L.npc_BlackrockFoundry["The Blast Furnace"],
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-The Blast Furnace.BLP:35:35",
		triggers = {
			scan = {76809},  --76809, 76808, 76806, 76815,
			encounterid = {1690},
			ejid = {1154},
		},
		onactivate = {
			tracing = {
			76809, "boss2", "boss3", "boss4","boss5",
			alternatepower={true},
			markers1 = {25,55,85},
			},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2","boss3","boss4","boss5"},
			defeat = {76809, 76808, 76806, 76815}
		},
		windows = {
			proxwindow = true,
		},
		enrage = {
			timelfr = 780,
			timeflex = 780,
			timeheroic = 780,
			timemythic = 780,
		},
		userdata = {
			machinesDead = 0,
			elementalistsDead = 0,
			powerRate = 4,
			totalTime = 25,
			power = 100,
			powern = 100,
			warned = 0,
			newTime = 30,
			blastTime = 30,
			volatileFireunists = {type = "container", wipein = 3},
		},
		timers = {	
			timerPower = {
				{
					"set",{power = "&getap|boss1&"},
					"set",{newTime = 30},
					"invoke",{
						{
							"expect",{"<power>","==","100"},
							"set",{newTime = 6},
						},					
						{
							"expect",{"<power>",">","74"},
							"set",{newTime = 9},
						},
						{
							"expect",{"<power>",">","49"},
							"set",{newTime = 15},
						},						
						{
							"expect",{"<power>",">","24"},
							"set",{newTime = 20},
						},
						{
							"expect",{"<newTime>","~=","<blastTime>"},
							"set",{newTime = "<blastTime>"},
							"set",{blastTime = "&checkPower|boss1|<newTime>&"},
							"alert",{"BlastCD", time = 4},
						},	
					},
				},
				{
					"set",{powern = "&getup|boss1&"},
					"invoke",{
						{
							"expect",{"<powern>",">","80"},
							"expect",{"<powern>",">","100"},
							"set",{warned = 1},
						},	
						{
							"expect",{"<powern> <warned>","==","0 1"},
							"set",{warned = 0},
							"alert",{"BlastCD", time = 4},
						},							
					},
				},
				{
					"scheduletimer",{"timerPower",1},
				},
			},
		},		
		messages = {
	
		},
		onstart = {
			{
				"expect",{"&lfr&","==","true"},
				"alert",{"BlastCD", time = 2},
				"set",{powerRate = 3.33},
				"set",{totalTime = 30},
				"scheduletimer",{"timerPower",1},
			},
			{
				"expect",{"&lfr&","==","false"},
				"alert",{"BlastCD", time = 3},
			},
		},
		alerts = {
			BlastCD = {
				varname = format(L.alert["%s Cooldown"],SN[155209]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155209]),
				time = 57,
				time2 = 30,
				time3 = 25,
				time4 = "<blastTime>",
				color1 = "NEWBLUE",
				icon = ST[155209],
				desc = 155209,		
			},
			NextEngineer = {
				varname = format(L.alert["Next %s"],SN["ej9649"]),
				type = "dropdown",
				text = format(L.alert["Next %s"],SN["ej9649"]),
				time = 35,
				color1 = "NEWBLUE",
				icon = ST[155179],
				ability = 9649,		
			},	
			NextBellowsOperator = {
				varname = format(L.alert["Next %s"],SN["ej9655"]),
				type = "dropdown",
				text = format(L.alert["Next %s"],SN["ej9655"]),
				time = 64,
				color1 = "NEWBLUE",
				icon = ST[155181],
				ability = 9655,		
				throttle = 10,
			},				
			-- Warning
			Phase2 = {
				varname = format(L.alert["Phase 2"]),
				type = "simple",
				text = format(L.alert["Phase 2"]),
				time = 2,
				color1 = "YELLOW",
				icon = EJST[9650],
				sound = "ALERT13",
			},
			-- Inform
			iBomb = {
				varname = format(L.alert["%s %s %s, %s!"],SN[155192],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s %s, %s!"],SN[155192],L.alert["on"],L.alert["YOU"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[155192],
				sound = "ALERT12",
				desc = 155192,
				flashscreen = true,
			},
			iShieldsDown = {
				varname = format(L.alert["%s %s!"],SN["ej9655"],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN["ej9655"],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT11",                
				icon = EJST[9655],
				ability = 9655,
				exhealer = true,
				extank = true,
				throttle = 10,
			},	
			iBellowsOperator = {
				varname = format(L.alert["%s %s!"],SN["ej9650"],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN["ej9650"],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT11",                
				icon = EJST[9650],
				ability = 9650,
				exhealer = true,
				throttle = 10,
			},	
			iHeartoftheMountain = {
				varname = format(L.alert["%s %s!"],SN["ej10808"],L.alert["SWITCH TARGET"]),
				type = "inform",
				text = format(L.alert["%s %s!"],SN["ej10808"],L.alert["SWITCH TARGET"]),
				time = 2,
				color1 = "RED",
				sound = "ALERT11",                
				icon = EJST[10808],
				ability = 10808,
				exhealer = true,
				exdps = true,
			},				
			-- Casts
			ShieldsDownActive = {
				varname = format(L.alert["%s Active"],SN[158345]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[158345]),
				time = 25,
				time2 = 40,
				color1 = "NEWBLUE",
				icon = ST[158345],
				desc = 158345,
				exhealer = true,
				extank = true,
				throttle = 10,
			},
			BombActive = {
				varname = format(L.alert["%s Duration"],SN[155192]),
				type = "centerpopup",
				text = format(L.alert["%s Duration"],SN[155192]),
				time = 15,
				color1 = "NEWBLUE",
				icon = ST[155192],
				desc = 155192,
			},
			-- Debuff
			BombDebuff = {
				varname = format(L.alert["%s Debuff"],SN[155192]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[155192]),
				text2 = format(L.alert["#5#: %s"],SN[155192]),
				time = 15,
				color1 = "PURPLE",
				desc = 155192,
				icon = ST[155192],
				tag = "#5#",
				exdps = true,				
			},		
		},
		events = {
			-- Bomb 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155192},
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"BombActive","BombDebuff","iBomb"},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"BombDebuff", text = 2},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {155192},
				dstisplayerunit = true,
				execute = {
					{
						"expect",{"#4#","==","&playerguid&"},
						"batchquash",{"BombActive","BombDebuff"},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"quash","BombDebuff",
					},
				},
			},			
			-- ShieldsDown 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {158345},
				execute = {
					{
						"alert","iShieldsDown",
					},
					{
						"expect",{"&lfr& &flex&","==","false false"},
						"alert","ShieldsDownActive",
					},					
					{
						"expect",{"&lfr&","==","true"},
						"alert",{"ShieldsDownActive", time = 2},
					},
					{
						"expect",{"&flex&","==","true"},
						"alert",{"ShieldsDownActive", time = 2},
					},							
				},
			},
			-- BellowsOperator 
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155181},
				execute = {
					{
						"batchalert",{"NextBellowsOperator","iBellowsOperator"}
					},
				},
			},	
			-----
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","76808"}, --Elementalist
						"set",{elementalistsDead = "INCR|1"},
						"invoke",{
							{
								"expect",{"<elementalistsDead>","==","4"},
								"alert","iHeartoftheMountain",
							},
						},
					},					
					{
						"expect",{"&npcid|#4#&","==","76808"}, --Regulators
						"set",{machinesDead = "INCR|1"},
						"invoke",{
							{
								"expect",{"<machinesDead>","==","2"},
								"alert","Phase2",
								"batchquash",{"NextEngineer","NextBellowsOperator"},
							},
						},
					},		
				},
			},			
		},
	}

	DXE:RegisterEncounter(data)
end