local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST

local Train = GetSpellInfo(174806)

do
	local data = {
		version = 2,
		key = "Thogar",
		zone = L.zone["Blackrock Foundry"],
		category = L.zone["Blackrock Foundry"],
		name = L.npc_BlackrockFoundry["Thogar"],
		icon = "INTERFACE\\ENCOUNTERJOURNAL\\UI-EJ-BOSS-Thogar.BLP:35:35",
		triggers = {
			scan = {76906, 80791}, 
			encounterid = {1622},
			ejid = {1147},
		},
		onactivate = {
			tracing = {76906, 80791},
			tracerstart = true,
			combatstop = true,
			unittracing = {"boss1","boss2"},
			defeat = {76906, 80791}
		},
		windows = {
			proxwindow = true,
		},
		enrage = {
			--timelfr = 600,
			--timeflex = 600,
			--timeheroic = 600,
			--timemythic = 600,
		},
		raidicons = {
			DelayedSiegeBombmark = {
				varname = SN[159481],
				type = "FRIENDLY",
				persist = 60,
				unit = "#5#", 
				icon = 1,
				desc = 159481,
				icon2 = ST[159481],
			},		
		},
		--[[arrows = {
			lane1arrow = {
				varname = format(L.alert["%s Position"],L.alert["West"]),
				unit = "player",
				persist = 7,
				action = "TOWARD",
				msg = L.alert["MOVE THERE"],
				spell = L.alert["Lane 1"],
				fixed = true,
				--xpos = 0.45322817716408,
				--ypos = 0.18029160325909,
			},
			lane2arrow = {
				varname = format(L.alert["%s Position"],L.alert["North"]),
				unit = "player",
				persist = 7,
				action = "TOWARD",
				msg = L.alert["MOVE THERE"],
				spell = L.alert["Lane 2"],
				fixed = true,
				--xpos = 0.4532210390892,
				--ypos = 0.2271736521492,
			},
			lane3arrow = {
				varname = format(L.alert["%s Position"],L.alert["East"]),
				unit = "player",
				persist = 7,
				action = "TOWARD",
				msg = L.alert["MOVE THERE"],
				spell = L.alert["Lane 3"],
				fixed = true,
				--xpos = 0.454203337175369,
				--ypos = 0.27938666108131,
			},
			lane4arrow = {
				varname = format(L.alert["%s Position"],L.alert["South"]),
				unit = "player",
				persist = 7,
				action = "TOWARD",
				msg = L.alert["MOVE THERE"],
				spell = L.alert["Lane 4"],
				fixed = true,
				--xpos = 0.45350620033455,
				--ypos = 0.335015539154054,
			},
		},--]]
		timers = {	
			timerLane= {
				{
					"set",{position = "&unitposition|player&"},
				},
				{
					"expect",{"<position>",">","577.7"},
					--"arrow","lane4arrow",
				},
				{
					"expect",{"<position>",">","553.7"},
					--"arrow","lane1arrow",
				},
				{
					"expect",{"<position>","<","553.8"},
					--"arrow","lane2arrow",
				},
				{
					"expect",{"<position>","<","529.7"}, -- 4
					--"arrow","lane3arrow",
				},					
			},
			timerLane1= {
				{
					"set",{lane1count = "INCR|1"},
					--"alert","Lane1CD",
					--"set",{position = "&unitposition|player&"},
				},
				{
					"expect",{"<lane1count>","==","1"},
					"alert",{"Lane1CD", text = 2}, -- Adds
					"scheduletimer",{"timerLane1",32},
					--"invoke",{
					--	{
				--			"expect",{"<position>",">","577.7"},
				--		},
				--	},
				},
				{
					"expect",{"<lane1count>","==","2"},
					"alert","Lane1CD",
					"scheduletimer",{"timerLane1",75},
				},
				{
					"expect",{"<lane1count>","==","3"},
					"alert","Lane1CD",
					"scheduletimer",{"timerLane1",55},
				},
				{
					"expect",{"<lane1count>","==","4"},
					"alert",{"Lane1CD", text = 3}, -- Cannon
					"scheduletimer",{"timerLane1",10},
				},
				{
					"expect",{"<lane1count>","==","5"},
					"alert","Lane1CD",
					"scheduletimer",{"timerLane1",65},
				},
				{
					"expect",{"<lane1count>","==","6"},
					"scheduletimer",{"timerLane1",70},
				},
				{
					"expect",{"<lane1count>","==","7"},
					"alert",{"Lane1CD", text = 3}, -- Cannon
					"scheduletimer",{"timerLane1",100},
				},
				{
					"expect",{"<lane1count>","==","8"},
					"alert","Lane1CD",
					"scheduletimer",{"timerLane1",10},
				},
				{
					"expect",{"<lane1count>","==","9"},
					"alert",{"Lane1CD", text = 3}, -- Cannon
					"scheduletimer",{"timerLane1",50},
				},
				{
					"expect",{"<lane1count>","==","10"},
					"alert","Lane1CD",
					"scheduletimer",{"timerLane1",30},
				},				
			},
			timerLane1Mythic= {
				{
					"set",{lane1count = "INCR|1"},
					--"alert",{"Lane1CD", time = 2},
				},
				{
					"expect",{"<lane1count>","==","1"},
					"alert",{"Lane1CD", time = 2, text = 5},
					"scheduletimer",{"timerLane1Mythic",18},
				},
				{
					"expect",{"<lane1count>","==","2"},
					"alert",{"Lane1CD", time = 2, text = 4},
					"scheduletimer",{"timerLane1Mythic",44},
				},
				{
					"expect",{"<lane1count>","==","3"},
					"alert",{"Lane1CD", time = 2, text = 3},
					"scheduletimer",{"timerLane1Mythic",16},
				},
				{
					"expect",{"<lane1count>","==","4"},
					"alert",{"Lane1CD", time = 2},
					"scheduletimer",{"timerLane1Mythic",80},
				},
				{
					"expect",{"<lane1count>","==","5"},
					"alert",{"Lane1CD", time = 2, text = 4},
					"scheduletimer",{"timerLane1Mythic",15},
				},		
				{
					"expect",{"<lane1count>","==","6"},
					"alert",{"Lane1CD", time = 2, text = 4},
					"scheduletimer",{"timerLane1Mythic",21},
				},					
			},
			timerLane2= {
				{
					"set",{lane2count = "INCR|1"},
					--"alert","Lane2CD",
				},
				{
					"expect",{"<lane2count>","==","1"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",27},
				},
				{
					"expect",{"<lane2count>","==","2"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",50},
				},
				{
					"expect",{"<lane2count>","==","3"},
					"alert",{"Lane2CD", text = 2},
					"scheduletimer",{"timerLane2",45},
				},
				{
					"expect",{"<lane2count>","==","4"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",65},
				},
				{
					"expect",{"<lane2count>","==","5"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",40},
				},
				{
					"expect",{"<lane2count>","==","6"},
					"alert",{"Lane2CD", text = 3},
					"scheduletimer",{"timerLane2",25},
				},
				{
					"expect",{"<lane2count>","==","7"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",65},
				},
				{
					"expect",{"<lane2count>","==","8"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",25},
				},
				{
					"expect",{"<lane2count>","==","9"},
					"alert",{"Lane2CD", text = 2},
					"scheduletimer",{"timerLane2",30},
				},
				{
					"expect",{"<lane2count>","==","10"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",61},
				},	
				{
					"expect",{"<lane2count>","==","11"},
					"alert","Lane2CD",
					"scheduletimer",{"timerLane2",24},
				},		
				{
					"expect",{"<lane2count>","==","12"},
					"alert",{"Lane2CD", text = 3},
					"scheduletimer",{"timerLane2",2},
				},		
				{
					"expect",{"<lane2count>","==","13"},
					"alert",{"Lane2CD", text = 2},
					"scheduletimer",{"timerLane2",28},
				},						
			},
			timerLane2Mythic= {
				{
					"set",{lane2count = "INCR|1"},
					--"alert",{"Lane2CD", time = 2},
				},
				{
					"expect",{"<lane2count>","==","1"},
					"alert",{"Lane2CD", time = 2},
					"scheduletimer",{"timerLane2Mythic",23},
				},
				{
					"expect",{"<lane2count>","==","2"},
					"alert",{"Lane2CD", time = 2, text = 4},
					"scheduletimer",{"timerLane2Mythic",39},
				},
				{
					"expect",{"<lane2count>","==","3"},
					"alert",{"Lane2CD", time = 2},
					"scheduletimer",{"timerLane2Mythic",21},
				},
				{
					"expect",{"<lane2count>","==","4"},
					"alert",{"Lane2CD", time = 2},
					"scheduletimer",{"timerLane2Mythic",30},
				},
				{
					"expect",{"<lane2count>","==","5"},
					"alert",{"Lane2CD", time = 2, text = 2},
					"scheduletimer",{"timerLane2Mythic",20},
				},		
				{
					"expect",{"<lane2count>","==","6"},
					"alert",{"Lane2CD", time = 2, text = 4},
					"scheduletimer",{"timerLane2Mythic",40},
				},
				{
					"expect",{"<lane2count>","==","7"},
					"alert",{"Lane2CD", time = 2, text = 4},
					"scheduletimer",{"timerLane2Mythic",21},
				},					
			},
			timerLane3= {
				{
					"set",{lane3count = "INCR|1"},
					--"alert","Lane3CD",
				},
				{
					"expect",{"<lane3count>","==","1"},
					"alert","Lane3CD",
					"scheduletimer",{"timerLane3",47},
				},
				{
					"expect",{"<lane3count>","==","2"},
					"alert",{"Lane3CD", text = 3},
					"scheduletimer",{"timerLane3",35},
				},
				{
					"expect",{"<lane3count>","==","3"},
					"alert",{"Lane3CD", text = 2},
					"scheduletimer",{"timerLane3",40},
				},
				{
					"expect",{"<lane3count>","==","4"},
					"alert","Lane3CD",
					"scheduletimer",{"timerLane3",95},
				},
				{
					"expect",{"<lane3count>","==","5"},
					"alert","Lane3CD",
					"scheduletimer",{"timerLane3",60},
				},
				{
					"expect",{"<lane3count>","==","6"},
					"alert",{"Lane3CD", text = 3},
					"scheduletimer",{"timerLane3",95},
				},
				{
					"expect",{"<lane3count>","==","7"},
					"alert","Lane3CD",
					"scheduletimer",{"timerLane3",70},
				},
				{
					"expect",{"<lane3count>","==","8"},
					"alert",{"Lane3CD", text = 3},
					"scheduletimer",{"timerLane3",17},
				},
				{
					"expect",{"<lane3count>","==","9"},
					"alert",{"Lane3CD", text = 2},
					"scheduletimer",{"timerLane3",28},
				},			
			},
			timerLane3Mythic= {
				{
					"set",{lane3count = "INCR|1"},
					--"alert",{"Lane3CD", time = 2},
				},
				{
					"expect",{"<lane3count>","==","1"},
					"alert",{"Lane3CD", time = 2},
					"scheduletimer",{"timerLane3Mythic",37},
				},
				{
					"expect",{"<lane3count>","==","2"},
					"alert",{"Lane3CD", time = 2, text = 4},
					"scheduletimer",{"timerLane3Mythic",25},
				},
				{
					"expect",{"<lane3count>","==","3"},
					"alert",{"Lane3CD", time = 2},
					"scheduletimer",{"timerLane3Mythic",36},
				},
				{
					"expect",{"<lane3count>","==","4"},
					"alert",{"Lane3CD", time = 2, text = 2},
					"scheduletimer",{"timerLane3Mythic",35},
				},
				{
					"expect",{"<lane3count>","==","5"},
					"alert",{"Lane3CD", time = 2, text = 4},
					"scheduletimer",{"timerLane3Mythic",40},
				},		
				{
					"expect",{"<lane3count>","==","6"},
					"alert",{"Lane3CD", time = 2, text = 4},
					"scheduletimer",{"timerLane3Mythic",21},
				},					
			},
			timerLane4= {
				{
					"set",{lane4count = "INCR|1"},
					--"alert","Lane4CD",
				},
				{
					"expect",{"<lane4count>","==","1"},
					"alert","Lane4CD",
					"scheduletimer",{"timerLane4",17},
				},
				{
					"expect",{"<lane4count>","==","2"},
					"alert",{"Lane4CD", text = 3},
					"scheduletimer",{"timerLane4",35},
				},
				{
					"expect",{"<lane4count>","==","3"},
					"alert","Lane4CD",
					"scheduletimer",{"timerLane4",110},
				},
				{
					"expect",{"<lane4count>","==","4"},
					"alert",{"Lane4CD", text = 2},
					"scheduletimer",{"timerLane4",35},
				},
				{
					"expect",{"<lane4count>","==","5"},
					"alert",{"Lane4CD", text = 3},
					"scheduletimer",{"timerLane4",55},
				},
				{
					"expect",{"<lane4count>","==","6"},
					"alert",{"Lane4CD", text = 3},
					"scheduletimer",{"timerLane4",55},
				},
				{
					"expect",{"<lane4count>","==","7"},
					"alert","Lane4CD",
					"scheduletimer",{"timerLane4",80},
				},
				{
					"expect",{"<lane4count>","==","8"},
					"alert",{"Lane4CD", text = 2},
					"scheduletimer",{"timerLane4",30},
				},
				{
					"expect",{"<lane4count>","==","9"},
					"alert","Lane4CD",
					"scheduletimer",{"timerLane4",50},
				},
				{
					"expect",{"<lane4count>","==","10"},
					"alert","Lane4CD",
					"scheduletimer",{"timerLane4",30},
				},						
			},
			timerLane4Mythic= {
				{
					"set",{lane4count = "INCR|1"},
					--"alert",{"Lane4CD", time = 2},
				},
				{
					"expect",{"<lane4count>","==","1"},
					"alert",{"Lane4CD", time = 2, text = 5},
					"scheduletimer",{"timerLane4Mythic",12},
				},
				{
					"expect",{"<lane4count>","==","2"},
					"alert",{"Lane4CD", time = 2, text = 4},
					"scheduletimer",{"timerLane4Mythic",50},
				},
				{
					"expect",{"<lane4count>","==","3"},
					"alert",{"Lane4CD", time = 2, text = 3},
					"scheduletimer",{"timerLane4Mythic",16},
				},
				{
					"expect",{"<lane4count>","==","4"},
					"alert",{"Lane4CD", time = 2},
					"scheduletimer",{"timerLane4Mythic",80},
				},
				{
					"expect",{"<lane4count>","==","5"},
					"alert",{"Lane4CD", time = 2, text = 4},
					"scheduletimer",{"timerLane4Mythic",15},
				},		
				{
					"expect",{"<lane4count>","==","6"},
					"alert",{"Lane4CD", time = 2, text = 4},
					"scheduletimer",{"timerLane4Mythic",21},
				},					
			},			
		},
		announces = { 
			DelayedSiegeBombsay = {
				varname = format(L.alert["%s %s %s!"],SN[159481],L.alert["on"],L.alert["Me"]),
				type = "SAY",
				msg = format(L.alert["%s %s %s!"],SN[159481],L.alert["on"],L.alert["Me"]),
				desc = 159481,
				icon = ST[159481],
				flashcolor = "RED",
				flashscreen = true,
			},				
		},		
		userdata = {
			position = 0,
			engageTime = 0,
			lane1 = {32,107,162,172,237,307,407,417,467,497, loop = false, type = "series"},
			lane1mythic = {18,62,78,158,173,194, loop = false, type = "series"},
			lane2 = {27,77,122,187,227,252,317,342,372,433,457,459,487, loop = false, type = "series"},
			lane2mythic = {23,62,83,113,133,173,194, loop = false, type = "series"},
			lane3 = {47,82,122,217,277,372,442,459,487, loop = false, type = "series"},
			lane3mythic = {37,62,98,133,173,194, loop = false, type = "series"},
			lane4 = {17,52,162,197,252,307,387,417,467,497, loop = false, type = "series"},
			lane4mythic = {12,62,78,158,173,194, loop = false, type = "series"},
			lane1count = 0,
			lane2count = 0,
			lane3count = 0,
			lane4count = 0,
		},		
		messages = {
			mEnkindle = {
				varname = format(L.alert["%s %s %s (3)"],SN[155921],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5# (1)"],SN[155921],L.alert["on"]),
				text2 = format(L.alert["%s %s #5# (#11#)"],SN[155921],L.alert["on"]),
				color1 = "ORANGE",
				icon = ST[155921],
				desc = 155921,
				sound = "ALERT13",
				exdps = true,
				--exhealer = true,
			},
			mDelayedSiegeBomb = {
				varname = format(L.alert["%s %s %s"],SN[159481],L.alert["on"],L.alert["player"]),
				type = "message",
				text = format(L.alert["%s %s #5#"],SN[159481],L.alert["on"]),
				color1 = "RED",
				sound = "ALERT13",
				desc = 159481,
				icon = ST[159481],
			},
			mCauterizingBolt = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[160140]),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[160140]),
				color1 = "RED",
				icon = ST[160140],
				sound = "ALERT13",
				desc = 160140,
			},
			mTrain = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],Train),
				type = "message",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],Train),
				color1 = "ORANGE",
				icon = ST[160140],
				sound = "ALERT14",
				desc = 160140,
				throttle = 2,
			},			
		},
		onstart = {
			{
				--"set",{engageTime = "&gettime&"},
				"alert",{"PulseGrenadeCD", time = 2},
				"alert","EnkindleCD",
			},
			{
				"expect",{"&mythic","==","false"},
				"scheduletimer",{"timerLane1",1},
				"scheduletimer",{"timerLane2",1},
				"scheduletimer",{"timerLane3",1},
				"scheduletimer",{"timerLane4",1},
			},
			{
				"expect",{"&mythic","==","true"},
				"scheduletimer",{"timerLane1Mythic",1},
				"scheduletimer",{"timerLane2Mythic",1},
				"scheduletimer",{"timerLane3Mythic",1},
				"scheduletimer",{"timerLane4Mythic",1},
			},			
		},
		alerts = {
			Lane1CD = {
				varname = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],Train),
				type = "dropdown",
				text = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],Train),
				text2 = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Adds train"]),
				text3 = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Cannon train"]),
				text4 = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Random trains"]),
				text5 = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],SN["ej10329"]),	
				time = "<lane1>",
				time2 = "<lane1mythic>",
				color1 = "NEWBLUE",
				icon = ST[176312],
				--desc = 174806,
				counter = true,
			},
			Lane2CD = {
				varname = format(L.alert["%s 2: %s"],L.chat_BlackrockFoundry["Lane"],Train),
				type = "dropdown",
				text = format(L.alert["%s 2:"],L.chat_BlackrockFoundry["Lane"],Train),
				text2 = format(L.alert["%s 2: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Adds train"]),
				text3 = format(L.alert["%s 2: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Big add train"]),	
				text4 = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Random trains"]),				
				time = "<lane2>",
				time2 = "<lane2mythic>",
				color1 = "NEWBLUE",
				icon = ST[176312],
				--desc = ,
				counter = true,
			},	
			Lane3CD = {
				varname = format(L.alert["%s 3: %s"],L.chat_BlackrockFoundry["Lane"],Train),
				type = "dropdown",
				text = format(L.alert["%s 3: %s"],L.chat_BlackrockFoundry["Lane"],Train),
				text2 = format(L.alert["%s 3: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Adds train"]),
				text3 = format(L.alert["%s 3: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Big add train"]),	
				text4 = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Random trains"]),				
				time = "<lane3>",
				time2 = "<lane3mythic>",
				color1 = "NEWBLUE",
				icon = ST[176312],
				--desc = ,
				counter = true,
			},	
			Lane4CD = {
				varname = format(L.alert["%s 4: %s"],L.chat_BlackrockFoundry["Lane"],Train),
				type = "dropdown",
				text = format(L.alert["%s 4: %s"],L.chat_BlackrockFoundry["Lane"],Train),
				text2 = format(L.alert["%s 4: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Adds train"]),
				text3 = format(L.alert["%s 4: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Cannon train"]),	
				text4 = format(L.alert["%s 1: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Random trains"]),	
				text5 = format(L.alert["%s 3: %s"],L.chat_BlackrockFoundry["Lane"],L.chat_BlackrockFoundry["Big add train"]),	
				time = "<lane4>",
				time2 = "<lane4mythic>",
				color1 = "NEWBLUE",
				icon = ST[176312],
				--desc = ,
				counter = true,
			},				
			EnkindleCD = {
				varname = format(L.alert["%s Cooldown"],SN[155921]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155921]),
				time = 16,
				color1 = "NEWBLUE",
				icon = ST[155921],
				desc = 155921,
				--exhealer = true,
				exdps = true,
			},
			PulseGrenadeCD = {
				varname = format(L.alert["%s Cooldown"],SN[155864]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[155864]),
				time = 16,
				time2 = 6,
				color1 = "NEWBLUE",
				icon = ST[155864],
				desc = 155864,
			},
			IronbellowCD = {
				varname = format(L.alert["%s Cooldown"],SN[163753]),
				type = "dropdown",
				text = format(L.alert["%s Cooldown"],SN[163753]),
				time = 12,
				color1 = "NEWBLUE",
				icon = ST[163753],
				desc = 163753,
			},
			-- Warning
			wPulseGrenade = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[155864]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[155864]),
				time = 2,
				color1 = "RED",
				icon = ST[155864],
				sound = "ALERT11",
				desc = 155864,
			},
			wIronBellow = {
				varname = format(L.alert["%s %s!"],L.alert["Incoming"],SN[163753]),
				type = "simple",
				text = format(L.alert["%s %s!"],L.alert["Incoming"],SN[163753]),
				time = 2,
				color1 = "RED",
				icon = ST[163753],
				sound = "ALERT10",
				desc = 163753,
			},			
			-- Inform
			iPulseGrenade = {
				varname = format(L.alert["%s %s, %s!"],SN[155864],L.alert["under you"],L.alert["MOVE AWAY"]),
				type = "inform",
				text = format(L.alert["%s %s, %s!"],SN[155864],L.alert["under you"],L.alert["MOVE AWAY"]),
				time = 2,
				color1 = "RED",
				icon = ST[155864],
				sound = "ALERT12",
				desc = 155864,
				flashscreen = true,
			},		
			-- Casts
			DelayedSiegeBombCast = {
				varname = format(L.alert["%s Active"],SN[159481]),
				type = "centerpopup",
				text = format(L.alert["%s Active"],SN[159481]),
				time = 6,
				color1 = "RED",
				icon = ST[159481],
				desc = 159481,
			},
			-- Debuff
			RendAndTearDebuff = {
				varname = format(L.alert["%s Debuff"],SN[155921]),
				type = "debuff",
				text = format(L.alert["%s (1): %s"],L.alert["YOU"],SN[155921]),
				text2 = format(L.alert["#5# (1): %s"],SN[155921]),
				text3 = format(L.alert["%s (#11#): %s"],L.alert["YOU"],SN[155921]),
				text4 = format(L.alert["#5# (#11#): %s"],SN[155921]),
				time = 25,
				color1 = "ORANGE",
				desc = 155921,
				icon = ST[155921],
				tag = "#5#",
				exdps = true,				
			},
			DelayedSiegeBombDebuff = {
				varname = format(L.alert["%s Debuff"],SN[159481]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[159481]),
				text2 = format(L.alert["#5#: %s"],SN[159481]),
				time = 6,
				color1 = "ORANGE",
				desc = 159481,
				icon = ST[159481],
				tag = "#5#",
				exdps = true,				
			},				
		},
		events = {
			-- Enkindle
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155921},
				execute = {
					{
						"message","Enkindle",
						"alert","EnkindleCD",
					},		
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","RendAndTearDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"RendAndTearDebuff", text = 2},
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {155921},
				execute = {
					{
						"message",{"Enkindle", text = 2},
						"alert","EnkindleCD",
					},		
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert",{"RendAndTearDebuff", text = 3},
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"RendAndTearDebuff", text = 4},
					},							
				},
			},	
			-- PulseGrenade
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {155864},
				execute = {
					{
						"batchalert",{"PulseGrenadeCD","wPulseGrenade"},
					},			
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {155864},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iPulseGrenade",
					},					
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED_DOSE",
				spellid = {155864},
				dstisplayerunit = true,
				execute = {
					{
						"alert","iPulseGrenade",
					},									
				},
			},
			-- IronBellow
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {163753},
				execute = {
					{
						"batchalert",{"IronbellowCD","wIronBellow"},
					},			
				},
			},
			-- CauterizingBolt
			{
				type = "combatevent",
				eventtype = "SPELL_CAST_START",
				spellid = {160140},
				execute = {
					{
						"message","mCauterizingBolt",
					},			
				},
			},	
			-- DelayedSiegeBomb
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {159481},
				execute = {
					{
						"message","mDelayedSiegeBomb",
						"raidicon","DelayedSiegeBombmark",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"announce","DelayedSiegeBombsay",
						"alert","DelayedSiegeBombCast",
						"alert","DelayedSiegeBombDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"DelayedSiegeBombDebuff", text = 2},
					},					
				},
			},	
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {159481},
				execute = {
					{
						"removeraidicon","#5#",
						"quash","DelayedSiegeBombDebuff",
						"quash","DelayedSiegeBombCast",
					},			
				},
			},	
			-----------------------
			{
				type = "event",
				event = "YELL", 
				execute = {
					{
						"expect",{"#5#","==",Train},
						"message","mTrain",
						--"scheduletimer",{"timerLane",1},
					},
				},
			},
			{
				type = "combatevent",
				eventtype = "UNIT_DIED",
				execute = {
					{
						"expect",{"&npcid|#4#&","==","80791"}, --Iron Bellow
						"quash","IronbellowCD",
					},
				},
			},

			
		},
	}

	DXE:RegisterEncounter(data)
end